<?php

namespace Fir\Controllers;

class Home extends Controller
{
    /**
     * This would be your http://localhost/project-name/ index page
     *
     * @return array
     */
    protected $admin;
	
    public function index()
    {
        if (isset($this->url[0]) && $this->url[0] == 'lang') {
            $this->updateLanguage($this->url[1]);
        }

        /**
         * The $data array stores all the data that is passed to the views
         */
        $data = [];

		/*Use User Library*/
        $user = $this->library('User');
		$data['user'] = $user->data();
		$data['user_isloggedin'] = $user->isLoggedIn();
		
		/* Use Product Model */
		$productModel = $this->model('Product');
        $data['product'] = $productModel->details();
        $data['featured'] = $productModel->featured();
		
		/* Totals */
        $data['total_products'] = $productModel->total();
        $data['total_freebies'] = $productModel->totalFreebies();
        $userModel = $this->model('User');
        $data['total_users'] = $userModel->cusers();
		$downloadsModel = $this->model('Downloads');	
        $data['total_downloads'] = $downloadsModel->countD();
		
		if($this->url[0] == "" || $this->url[0] === "home"){
			$pg = 1;
		}else{
			$pg = $this->url[0];
		}
		
		$page = (int) (!isset($pg) ? 1 : $pg);
		$limit = '12';
		$startpoint = ($page * $limit) - $limit;
        $data['product_pagination'] = $productModel->pagination($startpoint, $limit);
		$data['pagination'] = $this->Pagination($productModel->total(), $limit, $page);
		$data['is_divisible_by_3'] = $this->is_divisible_by_3($productModel->total());
		
		/* Use Transactions Model */
	    $transactions = $this->model('Transactions');
        $data['product_transactions'] = $transactions->countTransactions();
		
		/* Use Technologies Array */
		$technologyModel = $this->model('Technology');
        $data['technology_array'] = $technologyModel->getarray();
		
		/* Use Author Model */
		$authorModel = $this->model('Author');
        $data['author'] = $authorModel->authorDetails();
		
		/* Use Basket Library */
        $basket = $this->library('Basket');
        $data['cart'] = $basket->all();
        $data['cart_ids'] = $basket->ids();
		
		if($user->isLoggedIn() === true){
			$has = $transactions->has($data['user']['userid']);
			if($has === true){
				$data['transactions'] = $transactions->getProductId($data['user']['userid']);
				
			}elseif($has === false){
				$data['transactions'] = [];
			}
		}

        return ['content' => $this->view->render($data, 'home/home')];
    }
	
	function Pagination($total, $per_page = 10,$page = 1, $url = URL_PATH.'/'){  
			$total = $total;
			$adjacents = "2"; 

			$page = ($page == 0 ? 1 : $page);  
			$start = ($page - 1) * $per_page;								
			
			$prev = $page - 1;							
			$next = $page + 1;
			$lastpage = ceil($total/$per_page);
			$lpm1 = $lastpage - 1;
			
			$pagination = "";
			if($lastpage > 1)
			{
				$pagination .= "<div class='paginationCommon blogPagination text-center'>
			 <nav aria-label='Page navigation'>
			  <ul class='pagination'>";
						$pagination .= "<li class='details'>Page $page of $lastpage</li>";
						
				if ($page > 1)
					$pagination.= "<li><a href='{$url}1'> <i class='fa  fa-angle-double-left'></i> </a></li>
								   <li><a href='{$url}$prev'> <i class='fa fa-angle-left'></i> </a></li>";
				else
					$pagination.= "<li class='disabled'><a href='#'><i class='fa fa-angle-left'></i> </a></li>";
				
				if ($lastpage < 7 + ($adjacents * 2))
				{	
					for ($counter = 1; $counter <= $lastpage; $counter++)
					{
						if ($counter == $page)
							$pagination.= "<li class='active'><a>$counter</a></li>";
						else
							$pagination.= "<li><a href='{$url}$counter'>$counter</a></li>";					
					}
				}
				elseif($lastpage > 5 + ($adjacents * 2))
				{
					if($page < 1 + ($adjacents * 2))		
					{
						for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
						{
							if ($counter == $page)
								$pagination.= "<li class='active'><a>$counter</a></li>";
							else
								$pagination.= "<li><a href='{$url}$counter'>$counter</a></li>";					
						}
						$pagination.= "<li class='dot'>...</li>";
						$pagination.= "<li><a href='{$url}$lpm1'>$lpm1</a></li>";
						$pagination.= "<li><a href='{$url}$lastpage'>$lastpage</a></li>";		
					}
					elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
					{
						$pagination.= "<li><a href='{$url}1'>1</a></li>";
						$pagination.= "<li><a href='{$url}2'>2</a></li>";
						$pagination.= "<li class='dot'>...</li>";
						for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
						{
							if ($counter == $page)
								$pagination.= "<li class='active'><a>$counter</a></li>";
							else
								$pagination.= "<li><a href='{$url}$counter'>$counter</a></li>";					
						}
						$pagination.= "<li class='dot'>..</li>";
						$pagination.= "<li><a href='{$url}$lpm1'>$lpm1</a></li>";
						$pagination.= "<li><a href='{$url}$lastpage'>$lastpage</a></li>";		
					}
					else
					{
						$pagination.= "<li><a href='{$url}1'>1</a></li>";
						$pagination.= "<li><a href='{$url}2'>2</a></li>";
						$pagination.= "<li class='dot'>..</li>";
						for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
						{
							if ($counter == $page)
								$pagination.= "<li class='active'><a>$counter</a></li>";
							else
								$pagination.= "<li><a href='{$url}$counter'>$counter</a></li>";					
						}
					}
				}
				
				if ($page < $counter - 1){ 
					$pagination.= "<li><a href='{$url}$next'><i class='fa fa-angle-right'></i></a></li>";
					$pagination.= "<li><a href='{$url}$lastpage'><i class='fa fa-angle-double-right'></i></a></li>";
				}else{
					$pagination.= "<li class='disabled'><a><i class='fa fa-angle-right'></i></a></li>";
					$pagination.= "<li class='disabled'><a><i class='fa fa-angle-double-right'></i></a></li>";
				}
				$pagination.= "</ul>\n</nav>\n</div>";		
			}
		
		
			return $pagination;
	}	
	
    public function cart()
    {

        /**
         * The $data array stores all the data that is passed to the views
         */
        $data = [];
		
		/* Use Product Model */
		$productModel = $this->model('Product');
		
		$product = $productModel->get($this->url[2]);
		
		/* Use Basket Library */
        $this->basket = $this->library('Basket');

        try {
            $this->basket->add($product['productid']);
        } catch (QuantityExceededException $e) {
            //
        }
		
		redirect('home');
    }
	
    public function removecart()
    {

        /**
         * The $data array stores all the data that is passed to the views
         */
        $data = [];
		
		/* Use Basket Library */
        $this->basket = $this->library('Basket');
		$this->basket->remove($this->url[2]);

		
		redirect('home');
    }
	
    public function download()
    {

		/*Use User Library*/
        $user = $this->library('User');
		$data['user'] = $user->data();
		$data['user_isloggedin'] = $user->isLoggedIn();
		
	if($user->isLoggedIn() === true):	
		
		/* Use Product Model */
		$productModel = $this->model('Product');
		$product = $productModel->get($this->url[2]);
		
		$domain = $this->getDomain($product["s3_link"]);
		if($domain == "google.com"):
			/* Use Downloads Model */
			$downloadsModel = $this->model('Downloads');			
			$downloadsModel->add($product["productid"],$user->data()["userid"]);
			
            header("Location: ". $product["s3_link"]);		
			exit;
		elseif($domain == "dropbox.com"):
			/* Use Downloads Model */
			$downloadsModel = $this->model('Downloads');			
			$downloadsModel->add($product["productid"],$user->data()["userid"]);
			
            header("Location: ". $product["s3_link"]);	
			exit;
		else:
		
			$filepath = $product["s3_link"];	
			
			/* Use Downloads Model */
			$downloadsModel = $this->model('Downloads');			
			$downloadsModel->add($product["productid"],$user->data()["userid"]);
			
			// Process download
			header('Content-Type: application/octet-stream');
			header("Content-Transfer-Encoding: Binary"); 
			header("Content-disposition: attachment; filename=\"" . basename($filepath) . "\""); 
			readfile($filepath);  
			exit;
		endif;
			
		
	else:
		$_SESSION['message'][] = ['warning', $this->lang['please_login_to_download']];
		redirect('login');	
	endif;
    }
	

    /**
     * @param $language string
     */
    private function updateLanguage($language)
    {
        setcookie('lang', $language, time() + (10 * 365 * 24 * 60 * 60), COOKIE_PATH);
        redirect();
    }
	
	function getDomain($url){
		$pieces = parse_url($url);
		$domain = isset($pieces['host']) ? $pieces['host'] : '';
		if(preg_match('/(?P<domain>[a-z0-9][a-z0-9\-]{1,63}\.[a-z\.]{2,6})$/i', $domain, $regs)){
			return $regs['domain'];
		}
		return FALSE;
	}	
	
	function is_divisible_by_3($n){
	  $digits = str_split($n);
	  $total = 0;
	  foreach ($digits as $digit) {
		$total += $digit;
	  }
	  if ($total == 3 || ($total % 3 == 0) ){
		return true;
	  }
	  return false;
	}
	function is_divisible_by_2($number){ 
		if($number % 2 == 0){ 
			return true;  
		} 
		else{ 
			return false; 
		} 
	}
}