<?php

namespace Fir\Controllers;

use Aws\S3\S3Client;

class Requests extends Controller {

    /**
     * @var object
     */
    protected $model;

    public function index() {
        redirect();
    }

    public function search() {
        $model = $this->model('Requests');

        // Get the available locations
		$adminModel = $this->model('Admin');
        $data['currency'] = $adminModel->currencyDetails();
		
        return ['results' => $this->view->render($data, 'requests/search')];
    }

    public function deletecurrency() {
        $model = $this->model('Requests');
		$input = $this->library('Input');
		
        $id = $input->get('id');
						
		 $delete = $model->currencyDelete($id);
		
		 if ($delete == 1) {
				$response['status']  = $this->lang['success'];
				$response['message'] = $this->lang['deleted_successfully'];
		 } else {
				$response['status']  = $this->lang['error'];
				$response['message'] = $this->lang['unable_to_delete'];
		 }	

        return $response;
    }

    public function deleteauthor() {
        $model = $this->model('Requests');
		$input = $this->library('Input');
		
        $id = $input->get('id');
						
		 $delete = $model->authorDelete($id);
		
		 if ($delete == 1) {
				$response['status']  = $this->lang['success'];
				$response['message'] = $this->lang['deleted_successfully'];
		 } else {
				$response['status']  = $this->lang['error'];
				$response['message'] = $this->lang['unable_to_delete'];
		 }

        return $response;
    }

    public function delete_user() {
        $model = $this->model('Requests');
		$input = $this->library('Input');
		
        $id = $input->get('id');
						
		 $delete = $model->userDelete($id);
		
		 if ($delete == 1) {
				$response['status']  = $this->lang['success'];
				$response['message'] = $this->lang['deleted_successfully'];
		 } else {
				$response['status']  = $this->lang['error'];
				$response['message'] = $this->lang['unable_to_delete'];
		 }

        return $response;
    }

    public function summernote() {
		
		$path = sprintf('%s/../../%s/%s/admin/summernote/', __DIR__, PUBLIC_PATH, UPLOADS_PATH);
		
		if(empty($_FILES['image']))
		{
			exit();
		}

		$temp = explode(".", $_FILES["image"]["name"]);
		$newfilename = $this->rando() . '.' . end($temp);
		$destinationFilePath = $path.$newfilename;
		$location = URL_PATH.'/'.PUBLIC_PATH.'/'.UPLOADS_PATH.'/admin/summernote/'.$newfilename;
		if(move_uploaded_file($_FILES['image']['tmp_name'], $destinationFilePath)){
			return $newfilename;
		}
	
	
    }	

    public function summernote_delete() {
		
		$input = $this->library('Input');
		
        $src = $input->get('src');
		$path = sprintf('%s/../../%s/%s/admin/summernote/', __DIR__, PUBLIC_PATH, UPLOADS_PATH);
		
		if(unlink($path.$src))
		{
			return 'File Delete Successfully';
		}
	
    }

    public function delete_product() {
        $model = $this->model('Requests');
		$input = $this->library('Input');
		
        $id = $input->get('id');
						
		 $delete = $model->productDelete($id);
		
		 if ($delete == 1) {
				$response['status']  = $this->lang['success'];
				$response['message'] = $this->lang['deleted_successfully'];
		 } else {
				$response['status']  = $this->lang['error'];
				$response['message'] = $this->lang['unable_to_delete'];
		 }

        return $response;
    }

    public function make_free() {
        $model = $this->model('Requests');
		$input = $this->library('Input');
		
        $id = $input->get('id');
						
		 $delete = $model->make_free($id);
		
		 if ($delete == 1) {
				$response['status']  = $this->lang['success'];
				$response['message'] = $this->lang['product_made_free_successfully'];
		 } else {
				$response['status']  = $this->lang['error'];
				$response['message'] = $this->lang['unable_to_make_product_free'];
		 }	

        return $response;
    }

    public function return_back() {
        $model = $this->model('Requests');
		$input = $this->library('Input');
		
        $id = $input->get('id');
						
		 $delete = $model->return_back($id);
		
		 if ($delete == 1) {
				$response['status']  = $this->lang['success'];
				$response['message'] = $this->lang['successfully_returned_orginal_price'];
		 } else {
				$response['status']  = $this->lang['error'];
				$response['message'] = $this->lang['unable_to_return_original_price'];
		 }	

        return $response;
    }
	
	//Random String
	public function rando($length = 14){
		$str = "";
		$characters = array_merge(range('A','Z'), range('a','z'), range('0','9'));
		$max = count($characters) - 1;
		for ($i = 0; $i < $length; $i++) {
			$rand = mt_rand(0, $max);
			$str .= $characters[$rand];
		}
		return $str;
	}
		
}