<?php

namespace Fir\Models;

class Admin extends Model {

    /**
     * @var string
     */
    public $username;

    /**
     * @var string
     */
    public $password;

    /**
     * @var string
     */
    public $rememberToken;
	
    /**
     * Update the Admin Profile Details
     *
     */
    public function profileDetails($name, $username, $email, $adminid) {

		$Update = $this->db->update('admin',[
		   'name' => $name,
		   'username' => $username,
		   'email' => $email,
		],[
		    'adminid' => $adminid
		  ]);
		  
		return $Update->rowCount();  
    }
	
    /**
     * Update the Admin Profile Image
     *
     */
    public function profileImage($filename, $adminid) {

		$Update = $this->db->update('admin',[
		   'imagelocation' => $filename,
		],[
		    'adminid' => $adminid
		  ]);
		  
		return $Update->rowCount();  
    }	
	
    /**
     * Update the Admin Panel Password
     *
     */
    public function password($password, $adminid) {

		$Update = $this->db->update('admin',[
		   'password' => $password,
		],[
		    'adminid' => $adminid
		  ]);
		  
		return $Update->rowCount();  
    }	
	
    /**
     * Gets Currency details
     *
     * @return    array
     */
    public function currencyDetails()
    {
		
        $currency = $this->db->select('currency', '*', []);

        return $currency;
    }
	
    /**
     * Update the Currency Select
     *
     */
    public function currencySelect($currency_select) {

		$Update = $this->db->update('settings',[
		   'currency' => $currency_select,
		],[
		    'id' => 1
		  ]);
		  
		return $Update->rowCount();  
    }
	
    /**
     * Add Currency Data
     *
     */
    public function currencyAdd($currency_code, $currency_name, $currency_symbol) {

			
	    $Insert = $this->db->insert('currency', array(
		   'currency_code' => $currency_code,
		   'currency_name' => $currency_name,
		   'currency_symbol' => $currency_symbol
		));	
		  
		return $Insert->rowCount();  
    }
	
    /**
     * Check if the currency is available in the db
     *
     */
    public function currencyHas($currency_id) {

		$has = $this->db->has("currency", ["id" => $currency_id]);		
		  
		return $has;  
    }
	
    /**
     * Get the currency details requested
     *
     */
    public function currencyGet($currency_id) {

		$query = $this->db->select("currency", "*", ["id" => $currency_id]);	
        foreach($query as $row){}		
		  
		return $row;  
    }
	
    /**
     * Update the Currency Update
     *
     */
    public function currencyUpdate($currency_code, $currency_name, $currency_symbol, $currency_id) {

		$Update = $this->db->update('currency',[
		   'currency_code' => $currency_code,
		   'currency_name' => $currency_name,
		   'currency_symbol' => $currency_symbol
		],[
		    'id' => $currency_id
		  ]);
		  
		return $Update->rowCount();  
    }
	
    /**
     * Update the Currency Delete
     *
     */
    public function currencyDelete($delete) {

		 // delete the entry
		$delete = $this->db->delete('currency', ["id" => $delete]);
		  
		return $delete->rowCount();  
    }
}