<?php

namespace Fir\Models;

class Requests extends Model {

    /**
     * Get the list of locations available
     *
     * @param   array   $params
     * @return  array
     */
    public function getLocations($params) {
        $query = $this->db->prepare("SELECT * FROM `locations` WHERE `name` = ?");
        $query->bind_param('s', $params['location']);
        $query->execute();
        $result = $query->get_result();
        $query->close();

        $data = [];

        while($row = $result->fetch_assoc()) {
            $data[$row['id']]['id']         = $row['id'];
            $data[$row['id']]['name']       = $row['name'];
            $data[$row['id']]['country']    = $row['country'];
            $data[$row['id']]['lon']        = $row['lon'];
            $data[$row['id']]['lat']        = $row['lat'];
        }

        return $data;
    }
	
    /**
     * Update the Currency Delete
     *
     */
    public function currencyDelete($delete) {
		
		//$delete = $params['delete']; 

		 // delete the entry
		$delete = $this->db->delete('currency', ["id" => $delete]);
		  
		return $delete->rowCount();  
    }
	
    /**
     * Author Delete
     *
     */
    public function authorDelete($delete) {
		
		$query = $this->db->select('author', '*', ["id" => $delete]);
		foreach($query as $row){}
		
        $path = sprintf('%s/../../%s/%s/admin/authors/', __DIR__, PUBLIC_PATH, UPLOADS_PATH);
		
		// unlink images
		unlink($path.$row["imagelocation"]);
		
		// delete the entry
		$delete = $this->db->delete('author', ["id" => $delete]);
		  
		return $delete->rowCount();  
    }	
	
    /**
     * Technology Delete
     *
     */
    public function technologyDelete($delete) {
		
		$query = $this->db->select('technologies', '*', ["id" => $delete]);
		foreach($query as $row){}
		
        $path = sprintf('%s/../../%s/%s/admin/technologies/', __DIR__, PUBLIC_PATH, UPLOADS_PATH);
		
		// unlink images
		unlink($path.$row["imagelocation"]);
		
		// delete the entry
		$delete = $this->db->delete('technologies', ["id" => $delete]);
		  
		return $delete->rowCount();  
    }	
	
    /**
     * User Delete
     *
     */
    public function userDelete($delete) {
		
		$query = $this->db->select('user', '*', ["id" => $delete]);
		foreach($query as $row){}
		
        $path = sprintf('%s/../../%s/%s/admin/users/', __DIR__, PUBLIC_PATH, UPLOADS_PATH);
		
		// unlink images
		if($row["imagelocation"] != "default.png"):
		  unlink($path.$row["imagelocation"]);
		endif;
		
		// delete the entry
		$delete = $this->db->delete('user', ["id" => $delete]);
		  
		return $delete->rowCount();  
    }
	
    /**
     * Product Delete
     *
     */
    public function productDelete($delete) {
		
		$query = $this->db->select('product', '*', ["id" => $delete]);
		foreach($query as $row){}
		
        $path = sprintf('%s/../../%s/%s/admin/products/', __DIR__, PUBLIC_PATH, UPLOADS_PATH);
		
		// unlink images
		  unlink($path.$row["imagelocation"]);
		
		// delete the entry
		$delete = $this->db->delete('product', ["id" => $delete]);
		  
		return $delete->rowCount();  
    }
	
    /**
     * Make free
     *
     */
    public function make_free($delete) {
		
		$query = $this->db->select('product', '*', ["id" => $delete]);
		foreach($query as $row){}
		
		$price = $row["price"];

		$Update = $this->db->update('product',[
		   'price' => "0",
		   'old_price' => $price,
		   'free' => "1",
		],[
		    'id' => $delete
		  ]);
		  
		return $Update->rowCount(); 
		
    }	
	
    /**
     * Return Back
     *
     */
    public function return_back($delete) {
		
		$query = $this->db->select('product', '*', ["id" => $delete]);
		foreach($query as $row){}
		
		$price = $row["old_price"];

		$Update = $this->db->update('product',[
		   'price' => $price,
		   'old_price' => "0",
		   'free' => "0",
		],[
		    'id' => $delete
		  ]);
		  
		return $Update->rowCount(); 
		
    }	
}