<?php

namespace Fir\Models;

class User extends Model {
		
    /**
     * Add User
     *
     */
    public function add($userid, $name, $email, $password) {

		$filename = "default.png";
		
	    $Insert = $this->db->insert('user', array(
	   'userid' => $userid,
	   'password' => $password,
	   'name' => $name,
	   'email' => $email,
	   'imagelocation' => $filename,
	   'joined' => date('Y-m-d H:i:s'),
	   'user_type' => 1
		));	
		  
		return $Insert->rowCount();  
    }
	
    /**
     * Gets User details
     *
     * @return    array
     */
    public function details()
    {
		
        $query = $this->db->select('user', '*', ["ORDER" =>["joined" => "DESC"]]);

        return $query;
    }
	
    /**
     * Check if the user is available in the db
     *
     */
    public function has($id) {

		$has = $this->db->has("user", ["userid" => $id]);		
		  
		return $has;  
    }
	
    /**
     * Check if the a user with the same Email is available in the db
     *
     */
    public function hasEmail($email) {

		$has = $this->db->has("user", ["email" => $email]);		
		  
		return $has;  
    }
	
    /**
     * Check if the a user with the Token is available in the db
     *
     */
    public function hasToken($token) {

		$has = $this->db->has("user", ["tokencode" => $token]);		
		  
		return $has;  
    }
	
    /**
     * Check if the a user with the Token is available in the db
     *
     */
    public function hasRegisterToken($token) {

		$has = $this->db->has("user", ["registercode" => $token]);		
		  
		return $has;  
    }
	
    /**
     * Get the user details requested
     *
     */
    public function get($id) {

		$query = $this->db->select("user", "*", ["userid" => $id]);	
        foreach($query as $row){}		
		  
		return $row;  
    }
	
    /**
     * Get the user details requested
     *
     */
    public function getEmail($email) {

		$query = $this->db->select("user", "*", ["email" => $email]);	
        foreach($query as $row){}		
		  
		return $row;  
    }
	
    /**
     * Get the user details requested
     *
     */
    public function getwithToken($token) {

		$query = $this->db->select("user", "*", ["tokencode" => $token]);	
        foreach($query as $row){}		
		  
		return $row;  
    }
	
    /**
     * Get the user details requested
     *
     */
    public function getwithRegisterToken($token) {

		$query = $this->db->select("user", "*", ["registercode" => $token]);	
        foreach($query as $row){}		
		  
		return $row;  
    }
	
    /**
     * Update the User
     *
     */
    public function update($name, $email, $id) {

		$Update = $this->db->update('user',[
		   'name' => $name,
		   'email' => $email,
		],[
		    'userid' => $id
		  ]);
		  
		return $Update->rowCount();  
    }
	
    /**
     * Update token
     *
     */
    public function token($id, $token) {

		$Update = $this->db->update('user',[
		   'tokencode' => $token,
		],[
		   'userid' => $id
		  ]);
		  
		return $Update->rowCount();  
    }
	
    /**
     * Verify Email
     *
     */
    public function verifyEmail($no, $token, $id) {

		$Update = $this->db->update('user',[
		   'verified' => $no,
		   'registercode' => $token,
		],[
		   'userid' => $id
		  ]);
		  
		return $Update->rowCount();  
    }
	
    /**
     * Update Verify
     *
     */
    public function updateVerify($id) {

		$Update = $this->db->update('user',[
		   'verified' => '1',
		   'registercode' => '',
		],[
		   'userid' => $id
		  ]);
		  
		return $Update->rowCount();  
    }
	
    /**
     * Update password
     *
     */
    public function updatePassword($password, $id) {

		$Update = $this->db->update('user',[
		   'password' => $password,
		   'tokencode' => '',
		],[
		   'userid' => $id
		  ]);
		  
		return $Update->rowCount();  
    }
	
    /**
     * Update the Image
     *
     */
    public function changeImage($filename, $id) {

		$Update = $this->db->update('user',[
		   'imagelocation' => $filename
		],[
		    'userid' => $id
		  ]);
		  
		return $Update->rowCount();  
    }
	
    /**
     * Update password
     *
     */
    public function password($password, $id) {

		$Update = $this->db->update('user',[
		   'password' => $password,
		],[
		    'userid' => $id
		  ]);
		  
		return $Update->rowCount();  
    }
	
    /**
     * Count Users
     *
     */
    public function cusers() {

		$query = $this->db->count("user", []);			
		  
		return $query;    
    }
	
    /**
     * Count Users
     *
     */
    public function vusers() {

		$query = $this->db->count("user", ["verified" => 1]);			
		  
		return $query;    
    }
	
	
}