<?php
defined('FIR') OR exit();

mb_http_input("utf-8");
mb_http_output("utf-8");
		
//CHANGE YOUR SETTINGS HERE//
$buckutName = e($data['settings']['bucket_name']); // S3 Bucket Name
//Help: https://docs.aws.amazon.com/AmazonS3/latest/user-guide/view-bucket-properties.html
$s3Reagon = e($data['settings']['s3_region']); //S3 Region
//Help: https://docs.aws.amazon.com/general/latest/gr/rande.html#s3_region
$sbKey = e($data['settings']['s3_key']); //S3 Key
$sbSecret = e($data['settings']['s3_secret']); //S3 Secret

$appName = "AWS S3 File Manager and Uploader";
$appSlogan = "Home";
$appLogo = "thumb.png";
$FaviIcon = "icon.png";
$HideFullURL="false"; //true or false. If true full URL will be hidden from the info View.
//END YOUR SETTINGS//

//Help: https://www.youtube.com/watch?v=BLTy2tQXQLY
if ($buckutName == "YOUR BUCKET NAME" || $s3Reagon == "YOUR S3 REGION" || $sbKey == "YOUR AWS S3 KEY" || $sbSecret == "YOUR AWS S3 Scret") {
	echo "Installation Settings are not Set. Please refer to Readme.";
	exit;
}

$DisAllowFileTypes = "php,asp,aspx,jsp"; // File types if you need to block from uploading. If none just leave it blank

////////////////////////////////////
////DO NOT CHANGE ANYTHING BELOW ///
$FullURL = "";
ini_set('error_reporting', E_ALL);

//Handle Error
function httpGet($url) {
	$ch = curl_init();
  curl_setopt($ch, CURLOPT_URL, $url);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  $output = curl_exec($ch);
  curl_close($ch);
  return $output;
}

$url = "https://".$buckutName.".s3.".$s3Reagon.".amazonaws.com/?delimiter=&prefix=&encoding-type=url";
$myXMLData = httpGet($url);
$searchResponse=simplexml_load_string($myXMLData) or die("<center>Your Region Name : <strong>".strip_tags(stripslashes($s3Reagon))."</strong> is incorrect !<br> Please check the Region  and try again</center>");
if($searchResponse->Code=="NoSuchBucket"){
	echo "<center>Your Bucket Name : <strong>".strip_tags(stripslashes($buckutName))."</strong> is incorrect !<br> Please check the Butcket Name and try again</center>";
	exit;
}else{
	//Seems Buckut name and region is working.... So we do nothing...
}
//Handle Error


$s3 = new Aws\S3\S3Client(['region' => $s3Reagon, 'version' => 'latest', 'credentials' => ['key' => $sbKey, 'secret' => $sbSecret, ]]);


//Checking the accuracy of API key and Scret.
try {
	$result = $s3->listBuckets();
} catch (Exception $e) {
	// API key or Scret is not accurate
	echo "<center>Your S3 API Key : <strong>".strip_tags(stripslashes($sbKey))."</strong> or S3 Secret : <strong>".strip_tags(stripslashes($sbSecret))."</strong> is incorrect !<br> Please check the API Key alone with your S3 Secret and try again</center>";
	exit;
}

//User Inputs
$CurrDir = "";
$Delimiter = "";
if (isset($_GET['dir'])) {
	if ($_GET['dir'] != "") {
  	$CurrDir = strip_tags(htmlentities($_GET['dir']));
    $Delimiter = "/";
  }
}

$CurrDirPrev = "";
if (isset($_GET['dirPrev'])) {
    if ($_GET['dirPrev'] != "") {
        $CurrDirPrev = strip_tags(htmlentities($_GET['dirPrev']));
    }
}
//File Renaming to truncate long file names to small
function fileNaming($fileName) {
    $textLengt = 0;
    $textLength = strlen($fileName);
    $maxChars = 16;
    $fileName = substr_replace($fileName, '...', $maxChars / 2, $textLength - $maxChars);
    return $fileName;
}

$folders = $s3->listObjects(['Bucket' => $buckutName, 'Delimiter' => $Delimiter, 'Prefix' => $CurrDir]);
$fileList = array();
$folderList = array();
if (is_array($folders['Contents'])) {
  foreach ($folders['Contents'] as $List) {
    $Find = explode("/", ltrim($List['Key'], $CurrDir));
    if (is_array($Find) && strpos(ltrim($List['Key'], $CurrDir), "/") == 0 && $Find[0] != "") {
      if (substr(ltrim($List['Key'], $CurrDir), -1) != "/") {
        array_push($fileList, $Find[0]);
      }
    }
  }
}

$folderList = array();
if (is_array($folders['Contents'])) {
  foreach ($folders['Contents'] as $List) {
    if (substr(ltrim($List['Key'], $CurrDir), -1) == "/") {
      array_push($folderList, ltrim($List['Key'], $CurrDir));
    }
  }
}


?>


	  

<!-- DROPZONE -->
  <link href="<?=$this->siteUrl()?>/<?=$this->themePath()?>/<?=$this->theme()?>/assets/plugins/dropzone/dropzone.css" rel="stylesheet" type="text/css">
  <script src="<?=$this->siteUrl()?>/<?=$this->themePath()?>/<?=$this->theme()?>/assets/plugins/dropzone/dropzone.js"></script>
  <script>
     $(document).ready(function(){

         "use strict";

         Dropzone.options.myAwesomeDropzone = {

			 paramName: "file", // The name that will be used to transfer the file
             autoProcessQueue: true,
             uploadMultiple: false,
             parallelUploads: 100,
             maxFiles: 100,
             acceptedFiles: '',
             dictInvalidFileType: 'File type is not supported.',

             // Dropzone settings
             init: function() {
                 var myDropzone = this;

                 this.on("sendingmultiple", function() {
                 });
                 this.on("successmultiple", function(files, response) {
                 });
                 this.on("errormultiple", function(files, response) {
                 });
             }

         };

     });


  </script>	
	  <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
 
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h2><?=$this->lang('upload_files')?></h2>
        </section>

        <!-- Main content -->
        <section class="content">	 	
		 <div class="row">	
<!-- File Manager - START -->

	<div class="container pb-filemng-template">
		<div class="row">
			<div class="col-md-12">
			
<nav class="navbar navbar-default pb-filemng-navbar">
	<div class="container-fluid">
		<!-- Navigation -->
		<div class="navbar-header">
			<button type="button" class="pull-left navbar-toggle collapsed treeview-toggle-btn" data-toggle="collapse" data-target="#treeview-toggle" aria-expanded="false">
				<span class="sr-only">Toggle navigation</span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
			</button>

			<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#options" aria-expanded="false">
				<span class="sr-only">Toggle navigation</span>
				<span class="fa fa-upload"></span>
			</button>

			<!-- Search button -->
			<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#pb-filemng-navigation" aria-expanded="false">
				<span class="sr-only">Toggle navigation</span>
				<span class="fa fa-home"></span>
			</button>
		</div>

		<ul class="collapse navbar-collapse nav navbar-nav navbar-right" id="options">
			<li>
				<a href="<?=$this->siteUrl()?>/admin/s3/upload?dir=<?php echo strip_tags(stripslashes($CurrDir)); ?>" class="btn"><span class="fa fa-upload"></span> <?=$this->lang('upload_files')?></a>
			</li>
		</ul>


		<!-- Collect the nav links, forms, and other content for toggling -->
		<div class="collapse navbar-collapse" id="pb-filemng-navigation">
			<ul class="nav navbar-nav">
				<li>
					<a href="<?=$this->siteUrl()?>/admin/s3/files"><i class="fa fa-home"></i> <?=$this->lang('home')?></a>
				</li>
			</ul>
		</div>
		<!-- /.navbar-collapse -->

	</div>
    <!-- /.container-fluid -->
</nav>		

<div class="ratings-box">	 	

		 <div id="messages-list">
		  <h4><?=$this->lang('upload_files_progress')?>.</h4>
         </div>
</div>		 
		 
				<div class="panel panel-default">
					<div class="panel-body pb-filemng-panel-body">
						<div class="row">
						<div class="col-sm-3 col-md-3 pb-filemng-template-treeview">
								<div class="collapse navbar-collapse" id="treeview-toggle">
									<div class="sui-treeview">
									<div id="treeview" style="display: none;">
									</div>
										<ul class="sui-treeview-list" tabindex="0" role="tree">
											<?php if (isset($CurrDir)) { ?>
											<li class="sui-treeview-item" role="treeitem" aria-describedby="shielddw">
												<div class="sui-treeview-item-content">
													<a href="<?=$this->siteUrl()?>/admin/s3/files?dir=<?php echo strip_tags(stripslashes($CurrDir)); ?>">
													<span class="sui-treeview-item-text " >

														<span class="sui-treeview-item-icon fa fa-folder-o"></span> <?=$this->lang('view_files')?>
													</span>
													</a>
												</div>
												</li>
											<?php } ?>
										</ul>
									</div>
								</div>
							</div>

							<div class="col-sm-9 col-md-9 pb-filemng-template-body">

							<form id="my-awesome-dropzone" class="dropzone" action="<?=$this->siteUrl()?>/admin/s3/test" enctype="multipart/form-data" style="margin:0px;">
								<input type="hidden" id="dir" name="dir" value="<?php echo strip_tags(stripslashes($CurrDir)); ?>">
                                <?=$this->token()?>
								<div class="dropzone-previews"></div>
							</form>

							</div>
						</div>
					</div>
				</div>
				
			</div>
		</div>
	</div>
</div>
		
        
			 
	    </div><!-- /.row -->		  		  
	   </section><!-- /.content -->
 	 
      </div><!-- /.content-wrapper -->  