<?php
defined('FIR') OR exit();
/**
 * The template for displaying Home page menu
 */
?>

	 <!-- ==============================================
	 Header Section
	 =============================================== -->	
     <section class="product" style="background: linear-gradient( rgba(34,34,34,0.6), rgba(34,34,34,0.6) ), url('<?=$this->siteUrl().'/'.PUBLIC_PATH.'/'.UPLOADS_PATH?>/admin/<?=e($this->theme_details('bg_image_two'))?>') no-repeat center center fixed;">
      <div class="container">
       <div class="row">
		 <h1><?=e($data['product']['name'])?></h1>
       </div><!--/. row -->
      </div><!-- /.container -->
     </section>

	 <!-- ==============================================
	 Product Post Section
	 =============================================== -->
     <section class="single-product-desc">
      <div class="container">
       <div class="row">
        
		<div class="col-lg-8 col-md-12">
         <div class="item-preview">
		  <div class="item-image-bound">
           <img src="<?=$this->siteUrl().'/'.PUBLIC_PATH.'/'.UPLOADS_PATH?>/admin/products/<?=e($data['product']['imagelocation'])?>" alt="" class="img-responsive">
		  </div>	
          <div class="item__preview-thumb">
		   <div class="item-action border-none">
		    <div class="action-btns">
			 <a href="<?=e($data['product']['live_preview'])?>" class="kafe-btn kafe-btn-mint" target="_blank"><span class="fa fa-eye"></span> <?=$this->lang('live_preview')?></a>
			</div>
		   </div><!-- end /.item__action -->

           <div class="item-activity">
			<div class="row">
			
	         <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
              <div class="activity-single">
               <p><span class="fa fa-shopping-cart"></span> <?=$this->lang('total_sales')?></p>
               <p><?=e($data['product_transactions'])?></p>
              </div><!--/.activity-single -->
			 </div><!--/.col-lg-4 -->	
			 <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">	
              <div class="activity-single">
               <p><span class="fa fa-eye"></span><?=$this->lang('views')?></p>
               <p><?=e($data['product']['views'])?></p>
              </div><!--/.activity-single -->
			 </div><!--/.col-lg-4 -->	
			</div><!--/.row -->  
           </div><!-- Ends: /.item-activity -->
		   
          </div><!--/.item__preview-thumb -->
         </div><!-- end /.item-preview-->

         <div class="item-info">
		 
          <div class="item-navigation">
           <ul class="nav nav-tabs" role="tablist">
            <li>
             <span><i class="fa fa-copy"></i> <?=$this->lang('item_details')?></span>
            </li>
           </ul>
          </div><!-- end /.item-navigation -->

          <div class="tab-content">
		  
           <div class="tab-pane product-tab active" id="product-details">
            <div class="tab-content-wrapper">
			
			 <?=$data['product']['description']?>
			 
            </div>
           </div><!-- end /.tab-content -->
          
		  </div><!-- end /.tab-content -->
         </div><!-- end /.item-info -->
        </div><!-- end /.col-md-8 -->

        <div class="col-lg-4 col-md-12">
		
		 <aside class="sidebar-box">
		  <div class="sidebar-item">
		   <div class="sidebar-header">
		    <h1><sup><?=e($this->currency)?></sup><span><?=e($data['product']['price'])?></span> <strike><?=e($this->currency)?><?=e($data['product']['old_price'])?></strike></h1>
		   </div>
		   <div class="sidebar-body">
			  <?php if($data['product']['price'] === "0"): ?>
					    <a href="<?=$this->siteUrl()?>/product/download/<?=e($data['product']['productid'])?>" class="kafe-btn kafe-btn-mint full-width"><i class="fa fa-download"></i> <?=$this->lang('download_for_free')?></a>
			  <?php else: ?>
			    <?php if($data['user_isloggedin'] === true): ?>
					<?php if(in_array($data['product']['productid'], $data["transactions"])): ?>
					    <a href="<?=$this->siteUrl()?>/product/download/<?=e($data['product']['productid'])?>" class="kafe-btn kafe-btn-mint full-width"><i class="fa fa-download"></i> <?=$this->lang('download')?></a>
					<?php elseif(in_array($data['product']['productid'], $data["cart_ids"])): ?>
					    <a href="<?=$this->siteUrl()?>/product/removecart/<?=e($data['product']['productid'])?>" class="kafe-btn kafe-btn-danger full-width"><i class="fa fa-shopping-cart"></i> <?=$this->lang('remove_from_cart')?></a>
				   <?php else: ?>
						<a href="<?=$this->siteUrl()?>/product/cart/<?=e($data['product']['productid'])?>" class="kafe-btn kafe-btn-mint full-width"><i class="fa fa-shopping-cart"></i> <?=$this->lang('add_to_cart')?></a>
				   <?php endif;  ?>
			    <?php else: ?>
					<?php if(in_array($data['product']['productid'], $data["cart_ids"])): ?>
					    <a href="<?=$this->siteUrl()?>/product/removecart/<?=e($data['product']['productid'])?>" class="kafe-btn kafe-btn-danger full-width"><i class="fa fa-shopping-cart"></i> <?=$this->lang('remove_from_cart')?></a>
				   <?php else: ?>
						<a href="<?=$this->siteUrl()?>/product/cart/<?=e($data['product']['productid'])?>" class="kafe-btn kafe-btn-mint full-width"><i class="fa fa-shopping-cart"></i> <?=$this->lang('add_to_cart')?></a>
				   <?php endif;  ?>
			    <?php endif; ?>
			  <?php endif; ?>
				
		   </div>
		  </div>

          <div class="author-card">
           <div class="author-header">
		    <h4><?=$this->lang('product_author')?></h4>
		   </div>
           <div class="author-body">
             <div class="author-image">
              <a href=""><img src="<?=$this->siteUrl().'/'.PUBLIC_PATH.'/'.UPLOADS_PATH?>/admin/authors/<?=e($data['author']['imagelocation'])?>" class="img-responsive" alt="Image"></a>
             </div>
             <div class="author-desc">
              <h4><a><?=e($data['author']['name'])?></a></h4>
             </div>
		   </div><!-- end /.author -->
          </div><!-- end /.author-card -->

          <div class="details-box">
           <div class="details-header">
		    <h4><?=$this->lang('product_details')?></h4>
		   </div>
            <table class="table table-striped m-b-none">
	         <tbody>
	          <tr>
	           <td><?=$this->lang('first_release')?></td>
	           <td> <?=strftime("%b %d, %Y", strtotime($data['product']['released'])); ?></td>
	          </tr>
	          <tr>
	           <td><?=$this->lang('last_update')?></td>
	           <td><?=strftime("%b %d, %Y", strtotime($data['product']['updated'])); ?></td>
	          </tr>
	          <tr>
	           <td><?=$this->lang('version')?></td>
	           <td><?=e($data['product']['version'])?></td>
	          </tr>
	          <tr>
	           <td><?=$this->lang('technologies')?></td>
			   <td><?=e($data['product']['technologies'])?></td>
	          </tr>
	         </tbody>
	        </table>
          </div><!--/. details-box -->
		  
		 </aside><!-- end /.aside -->
		 
        </div><!-- end /.col-md-4 -->
       </div><!-- end /.row -->
      </div><!-- end /.container -->
     </section>	
	 