<?php
defined('FIR') OR exit();
/**
 * The template for displaying the header section
 */
?>
     <!-- ==============================================
     Navigation Section
     =============================================== -->  
     <header class="tr-header">
      <nav class="navbar navbar-default">
       <div class="container">
	    <div class="navbar-header">
		 <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse">
		  <span class="sr-only">Toggle navigation</span>
		  <span class="icon-bar"></span>
		  <span class="icon-bar"></span>
		  <span class="icon-bar"></span>
		 </button>
		 <a href="<?=$this->siteUrl()?>" class="navbar-brand"><img src="<?=$this->siteUrl().'/'.PUBLIC_PATH.'/'.UPLOADS_PATH?>/admin/<?=e($this->siteSettings('logo'))?>" alt="Logo"  class="img-fluid" width="80" height="90"></a>
		</div><!-- /.navbar-header -->
		<div class="navbar-left pull-center">
		 <div class="collapse navbar-collapse" id="navbar-collapse">
		  <ul class="nav navbar-nav">
		   <li class="<?=($data['url'] == 'home' ? ' active' : '')?><?=($data['url'] == NULL ? ' active' : '')?>"><a href="<?=$this->siteUrl()?>"><?=$this->lang('home')?></a></li>
		   <li class="<?=($data['url'] == 'freebies' ? ' active' : '')?>"><a href="<?=$this->siteUrl()?>/freebies"><?=$this->lang('freebies')?></a></li>
		   <li class="<?=($data['url'] == 'contact' ? ' active' : '')?>"><a href="<?=$this->siteUrl()?>/contact"><?=$this->lang('contact')?></a></li>
		   
			 <li class="dropdown mega-avatar">
			  <a href="#" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="true">
			   <span>
				<?=$this->lang('languages')?> - <?=mb_strtoupper(mb_substr($data['language'], 0, 2))?>
			   </span>
			  </a>
			  <div class="dropdown-menu w dropdown-menu-scale pull-right">
				<?php foreach($data['languages_list'] as $language): ?>
					<a class="dropdown-item" href="<?=$this->siteUrl()?>/lang/<?=$language?>"><?=$language?></a>
				<?php endforeach ?>
			  </div>
			 </li><!-- /navbar-item -->	
			 
						<li class="dropdown mega-avatar">
						  <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"> <span class="white-cart"><i class="fa fa-shopping-cart"></i> <sup><?=e($data["cart_items"])?></sup></span> </a>
						  <ul class="dropdown-menu pull-right dropdown-cart" role="menu">
						    <?php foreach($data["cart"] as $test){  ?>
							  <li>
									<div class="media">
									  <img src="<?=$this->siteUrl().'/'.PUBLIC_PATH.'/'.UPLOADS_PATH?>/admin/products/<?=e($test['imagelocation'])?>" class="img-responsive d-none d-sm-block" alt="Image">
									  <div class="media-body">
										  <h4>
											<a href="<?=$this->siteUrl()?>/product/<?=e($test['productid'])?>/<?=e($test['slug'])?>"><?=e($test["name"])?> </a>
											<span><a href="<?=$this->siteUrl()?>/home/removecart/<?=e($test['productid'])?>"><i class="fa fa-trash"></i></a></span>
										  </h4>
										  <h3>
											<span><?=e($this->currency)?><?=e($test["price"])?></span>
										  </h3>
									  </div>
									</div>
							  </li>
							<?php } ?>  
							  <li>
								<a href="<?=$this->siteUrl()?>/cart" class="kafe-btn kafe-btn-mint"><?=$this->lang('checkout')?> :- <?=e($this->currency)?><?=e($data["cart_total"])?></a>
							  </li>			  
						  </ul>
						</li>	
		 
		  </ul>
		 </div>
		</div><!-- /.navbar-left -->
		<div class="navbar-right">                          
		 <ul class="nav navbar-nav">
		 
		<?php if($data['user_isloggedin'] == true): ?> 
		  
		 <li class="dropdown mega-avatar">
		  <a href="#" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="true">
		   <span class="avatar w-32"><img src="<?=$this->siteUrl().'/'.PUBLIC_PATH.'/'.UPLOADS_PATH?>/admin/users/<?=e($data['user']['imagelocation'])?>" class="img-resonsive img-circle" width="25" height="25" alt="..."></span>
		   <!-- hidden-xs hides the username on small devices so only the image appears. -->
		   <span>
			<?=e($data['user']['name'])?>
		   </span>
		  </a>
		  <div class="dropdown-menu w dropdown-menu-scale pull-right">
		   <a class="dropdown-item" href="<?=$this->siteUrl()?>/user/dashboard"><span><?=$this->lang('dashboard')?></span></a>  
		   <a class="dropdown-item" href="<?=$this->siteUrl()?>/user/profile"><span><?=$this->lang('profile')?></span></a> 
		   <a class="dropdown-item" href="<?=$this->siteUrl()?>/user/logout"><?=$this->lang('sign_out')?></a>
		  </div>
		 </li><!-- /navbar-item -->	
		<?php else: ?> 
		   <li><a href="<?=$this->siteUrl()?>/login"><?=$this->lang('sign_in')?></a></li>
		 </ul><!-- /.sign-in -->   
		 <a href="<?=$this->siteUrl()?>/register" class="kafe-btn kafe-btn-mint-small"><?=$this->lang('join_for_free')?></a>
		<?php endif; ?> 
		</div><!-- /.nav-right -->
       </div><!-- /.container -->
      </nav><!-- /.navbar -->
     </header><!-- Page Header --> 