<?php
defined('FIR') OR exit();
/**
 * The template for displaying Home page menu
 */
?>
  
	    <!-- ==============================================
	    Cart Banner Section
	    =============================================== -->	
		<section class="cart-banner" style="background-image: url('<?=$this->siteUrl().'/'.PUBLIC_PATH.'/'.UPLOADS_PATH?>/admin/<?=e($this->theme_details('bg_image_two'))?>')">
		  <div class="container">
		   <div class="cart-content">
		        <div class="banner-title">
				 <h2><?=$this->lang('checkout')?>.</h2>
			    </div>		
		   </div><!--/. banner-content -->
		  </div><!-- /.container -->
		</section><!--End Banner Section-->	

	    <!-- ==============================================
	    Checkout Section
	    =============================================== -->	
		<section class="checkout">
		  <div class="container">
		   <div class="row">

                        <div class="col-lg-4 col-md-6">
							<div class="order-wrapper mt-50">
								<h2><?=$this->lang('your_order')?></h2>
								<div class="order-list">
								<?php foreach($data["cart"] as $row){  ?> 
									<div class="list-row d-flex justify-content-between">
										<h4><?=e($row['name'])?></h4>
										<p><?=e($this->currency)?><?=e($row['price'])?></p>
									</div>
								<?php } ?> 
									<div class="list-row d-flex justify-content-between">
										<h4><?=$this->lang('total')?></h4>
										<h3><?=e($this->currency)?><?=e($data["cart_total"])?></h3>
									</div>
								</div>
							</div>
						</div>		   
		   
		   
		   <div class="col-lg-8">	
		   
		   <?php if($data['settings']['paypal_active'] === "2"): ?>
		   
			 <div class="payment-box">
			  <div class="payment-details">
			   <div class="payment-description">
				<h4>PayPal</h4>
				<p><?=$this->lang('purchase_via')?> PayPal.</p>
				<p><?=$this->lang('click_return_to_merchant')?>.</p>
			   </div>
			  </div><!--/ .job-box-details -->
			  <div class="payment-bid">
			   <div class="payment-bid-inner">
				<?=$data["paypal_form"]->submit_formnull_post()?>
				<?=$data["paypal_form"]->submit_paypal_post()?>
			   </div>
			  </div><!--/ .payment-bid -->	
			 </div><!--/ .payment-box -->

           <?php endif; ?>			 
		   
		   <?php if($data['settings']['stripe_active'] === "2"): ?>
		   
			 <div class="payment-box">
			  <div class="payment-details">
			   <div class="payment-description">
				<h4>Stripe</h4>
				<p><?=$this->lang('purchase_via')?> Stripe.</p>
			   </div>
			  </div><!--/ .job-box-details -->
			  <div class="payment-bid">
			   <div class="payment-bid-inner">
				
			
				<form action="<?=$this->siteUrl()?>/checkout/stripe/success" method="post">
				  <script src="https://checkout.stripe.com/checkout.js" class="stripe-button"
						  data-key="<?=e($data["settings"]['stripe_public_key'])?>"
						  data-description="Cart Checkout"
						  data-email="<?=e($data["user"]["email"])?>"
						  data-currency="<?=e($data["currency_code"])?>"
						  data-amount="<?=e($data['amount_cents'])?>"
						  data-locale="auto"></script>
                    <?=$this->token()?>
				</form>	
				
				
			   </div>
			  </div><!--/ .payment-bid -->	
			 </div><!--/ .payment-box -->	

           <?php endif; ?>		
		   
		   <?php if($data['settings']['razorpay_active'] === "2"): ?>
		   
			 <div class="payment-box">
			  <div class="payment-details">
			   <div class="payment-description">
				<h4>Razorpay</h4>
				<p><?=$this->lang('purchase_via')?> Razorpay.</p>
				<p><?=$this->lang('this_is_for_indian_currency')?>.</p>
			   </div>
			  </div><!--/ .job-box-details -->
			  <div class="payment-bid">
			   <div class="payment-bid-inner">
		 
				<form action="<?=$this->siteUrl()?>/checkout/razorpay/success" method="POST">
				<!-- Note that the amount is in paise = 50 INR -->
				<script
					src="https://checkout.razorpay.com/v1/checkout.js"
					data-key="<?=e($data["settings"]['razorpay_key_id'])?>"
					data-amount="<?=e($data['amount_cents'])?>"
					data-buttontext="Pay with Razorpay"
					data-name="<?=e($data["settings"]['sitename'])?>"
					data-description="Cart Checkout"
					data-image=""
					data-prefill.name="<?=e($data["user"]["name"])?>"
					data-prefill.email="<?=e($data["user"]["email"])?>"
					data-theme.color="#F37254"
				></script>
				<input type="hidden" value="Hidden Element" name="hidden">
                    <?=$this->token()?>
				</form>	
			
			   </div>
			  </div><!--/ .payment-bid -->	
			 </div><!--/ .payment-box -->	

           <?php endif; ?>		
		   
		   
		   <?php if($data['settings']['paystack_active'] === "2"): ?>
		   
			 <div class="payment-box">
			  <div class="payment-details">
			   <div class="payment-description">
				<h4>Paystack</h4>
				<p><?=$this->lang('purchase_via')?> Paystack.</p>
				<p>This is for Nigerian Currency.</p>
			   </div>
			  </div><!--/ .job-box-details -->
			  <div class="payment-bid">
			   <div class="payment-bid-inner">
			   
				<form >
				  <script src="https://js.paystack.co/v1/inline.js"></script>
				  <button type="button" class="kafe-btn kafe-btn-danger" onclick="payWithPaystack()"> Pay with Paystack</button> 
				</form>
				 
				<script>
				  function payWithPaystack(){
					var handler = PaystackPop.setup({
					  key: '<?=e($data['settings']['paystack_key'])?>',
					  email: '<?=e($data["user"]["email"])?>',
					  amount: "<?=e($data['payment_paystack'])?>",
					  currency: "NGN",
					  ref: "<?=$data["paystack_id"]?>", // generates a pseudo-unique reference. Please replace with a reference you generated. Or remove the line entirely so our API will generate one for you
					  firstname: '<?=e($data["user"]["name"])?>',
					  lastname: '',
					  // label: "Optional string that replaces customer email"
					  metadata: {
						 custom_fields: [
							{
								display_name: "Mobile Number",
								variable_name: "mobile_number",
								value: "+2348012345678"
							}
						 ]
					  },
					  callback: function(response){
						  window.location = "<?=$this->siteUrl()?>/checkout/paystack/" + response.reference;
					  },
					  onClose: function(){
					  }
					});
					handler.openIframe();
				  }
				</script>
			
			   </div>
			  </div><!--/ .payment-bid -->	
			 </div><!--/ .payment-box -->	

           <?php endif; ?>		
		   
		   	   
		   
		   
		   </div><!--/. row -->
		   </div><!--/. row -->
		  </div><!-- /.container -->
		</section><!--End Cart Section-->