<?php
defined('FIR') OR exit();
/**
 * The template for displaying Home page menu
 */
?>


	    <!-- ==============================================
	    Banner Section
	    =============================================== -->	
		<section class="banner-section" style="background-image: url('<?=$this->siteUrl().'/'.PUBLIC_PATH.'/'.UPLOADS_PATH?>/admin/<?=e($this->theme_details('bg_image_one'))?>')">
		  <div class="container">
		   <div class="banner-content text-center">
		        <div class="banner-title">
				 <h2><?=e($this->theme_details('title'))?></h2>
			    </div>	
				<!--Search Form-->
				<div class="search-form full-width">
					<form method="post" action="<?=$this->siteUrl()?>/search">
						
						<div class="form-group clearfix">
							<input type="text" name="search" value="" placeholder="<?=$this->lang('search_here')?>...." required>
							<?=$this->token()?>
							<button type="submit" class="theme-btn dripicons-search"></button>
						</div>

					</form>
				</div>
				<!--End Search Form-->		
				
				
		   </div><!--/. banner-content -->
		  </div><!-- /.container -->
		</section><!--End Banner Section-->	
		
	    <!-- ==============================================
	    Featured Section
	    =============================================== -->	
	    <section class="featured-section">
		 <div class="container">
		  <div class="section-title">
		   <h2><span><?=$this->lang('featured_products')?></span></h2>
		  </div>
		  <div class="row clearfix">
	   
	   <?php foreach($data['featured'] as $row) { ?>
				
			<div class="col-lg-4 col-md-6 col-sm-12">
			 <div class="product-block">
			  <div class="inner-box wow fadeInLeft" data-wow-delay="0ms" data-wow-duration="1500ms">
			  
			   <div class="image">
				<a href="<?=$this->siteUrl()?>/product/<?=e($row['productid'])?>/<?=e($row['slug'])?>"><img src="<?=$this->siteUrl().'/'.PUBLIC_PATH.'/'.UPLOADS_PATH?>/admin/products/<?=e($row['imagelocation'])?>" alt="" /></a>
			   </div>
			   <div class="lower-content">
				<h3><a href="<?=$this->siteUrl()?>/product/<?=e($row['productid'])?>/<?=e($row['slug'])?>"><?=e($row['name'])?></a></h3>
				<div class="author">
				 <div class="author-image">
			<?php foreach ($data['author'] as $author): ?>   	 
				<?php if($author["authorid"] === $row['authorid'] ): ?> 
				  <img src="<?=$this->siteUrl().'/'.PUBLIC_PATH.'/'.UPLOADS_PATH?>/admin/authors/<?=e($author['imagelocation'])?>" class="img-fluid rounded-circle" alt=""/>
				  <h5>by <?=e($author['name'])?></h5>
				<?php endif; ?>   
			<?php endforeach; ?>	
				 </div><!-- /.author-image -->
				 <h4><del><?=e($this->currency)?><?=e($row['old_price'])?></del> <span><?=e($this->currency)?><?=e($row['price'])?></span></h4>
				</div><!-- /.author -->
			   </div><!-- /.lower-content -->
			   <div class="product-footer">
                <h3> 
					<?php
					  
					foreach($data['product_transactions'] as $key=>$name){
						if($row['productid'] == $key){ ?>
						  <span class="product-sales"><?=e($name)?> <?=$this->lang('sales')?></span>
						
					<?php	
						}
					}
					?> 
				 
                 <div class="product-details">
			  <?php if($row['price'] === "0"): ?>
					    <a href="<?=$this->siteUrl()?>/home/download/<?=e($row['productid'])?>"><i class="fas fa-download"></i></a>
			  <?php else: ?>
			    <?php if($data['user_isloggedin'] === true): ?>
					<?php if(in_array($row['productid'], $data["transactions"])): ?>
					    <a href="<?=$this->siteUrl()?>/home/download/<?=e($row['productid'])?>"><i class="fas fa-download"></i></a>
					<?php elseif(in_array($row['productid'], $data["cart_ids"])): ?>
					    <a href="<?=$this->siteUrl()?>/home/removecart/<?=e($row['productid'])?>"><i class="fas fa-cart-arrow-down"></i></a>
				   <?php else: ?>
                        <a href="<?=$this->siteUrl()?>/home/cart/<?=e($row['productid'])?>"><i class="fas fa-shopping-cart"></i></a>
				   <?php endif;  ?>
			    <?php else: ?>
					<?php if(in_array($row['productid'], $data["cart_ids"])): ?>
					    <a href="<?=$this->siteUrl()?>/home/removecart/<?=e($row['productid'])?>"><i class="fas fa-cart-arrow-down"></i></a>
				   <?php else: ?>
                        <a href="<?=$this->siteUrl()?>/home/cart/<?=e($row['productid'])?>"><i class="fas fa-shopping-cart"></i></a>
				   <?php endif;  ?>
			    <?php endif; ?>
			  <?php endif; ?>
                  <h5 class="product-views"><i class="fas fa-eye"></i> <?=e($row['views'])?></h5> 
                 </div>                                
                </h3>
               </div><!-- /.product-footer -->						
						
			  </div><!-- /.inner-box -->
			 </div><!--/. product-block-->	
			</div><!-- /.col-lg-4 -->
		
	   <?php } ?>
			
				
		  </div><!-- /.row-->
		 </div><!-- /.container -->
	    </section><!--End Featured Section-->
		
	    <!-- ==============================================
	    Featured Section
	    =============================================== -->	
	    <section class="latest-section">
		 <div class="container">
		  <div class="section-title">
		   <h2><span><?=$this->lang('latest_products')?></span></h2>
		  </div>
	   
	   
	   
	   <?php
          /*
            Start with variables to help with row creation;
          */
            $startRow = true;
            $postCounter = 0;
		    $messageList = '';
		    $x = 1; 
			
			foreach($data['product_pagination'] as $row) { 
          
				/*
				  Check whether we need to add the start of a new row.
				  If true, echo a div with the "row" class and set the startRow variable to false 
				  If false, do nothing. 
				*/
				if ($startRow) {
				  echo '<!-- START OF INTERNAL ROW --><div class="row">';
				  $startRow = false;
				}
				/* Add one to the counter because a new post is being added to your page.  */ 
				  $postCounter += 1; 
			
			?>
				
			<div class="col-lg-4 col-md-6 col-sm-12">
			 <div class="product-block">
			  <div class="inner-box wow fadeInLeft" data-wow-delay="0ms" data-wow-duration="1500ms">
			  
			   <div class="image">
				<a href="<?=$this->siteUrl()?>/product/<?=e($row['productid'])?>/<?=e($row['slug'])?>"><img src="<?=$this->siteUrl().'/'.PUBLIC_PATH.'/'.UPLOADS_PATH?>/admin/products/<?=e($row['imagelocation'])?>" alt="" /></a>
			   </div>
			   <div class="lower-content">
				<h3><a href="<?=$this->siteUrl()?>/product/<?=e($row['productid'])?>/<?=e($row['slug'])?>"><?=e($row['name'])?></a></h3>
				<div class="author">
				 <div class="author-image">
			<?php foreach ($data['author'] as $author): ?>   	 
				<?php if($author["authorid"] === $row['authorid'] ): ?> 
				  <img src="<?=$this->siteUrl().'/'.PUBLIC_PATH.'/'.UPLOADS_PATH?>/admin/authors/<?=e($author['imagelocation'])?>" class="img-fluid rounded-circle" alt=""/>
				  <h5>by <?=e($author['name'])?></h5>
				<?php endif; ?>   
			<?php endforeach; ?>	
				 </div><!-- /.author-image -->
				 <h4><del><?=e($this->currency)?><?=e($row['old_price'])?></del> <span><?=e($this->currency)?><?=e($row['price'])?></span></h4>
				</div><!-- /.author -->
			   </div><!-- /.lower-content -->
			   <div class="product-footer">
                <h3> 
					<?php
					  
					foreach($data['product_transactions'] as $key=>$name){
						if($row['productid'] == $key){ ?>
						  <span class="product-sales"><?=e($name)?> <?=$this->lang('sales')?></span>
						
					<?php	
						}
					}
					?> 
				 
                 <div class="product-details">
			  <?php if($row['price'] === "0"): ?>
					    <a href="<?=$this->siteUrl()?>/home/download/<?=e($row['productid'])?>"><i class="fas fa-download"></i></a>
			  <?php else: ?>
			    <?php if($data['user_isloggedin'] === true): ?>
					<?php if(in_array($row['productid'], $data["transactions"])): ?>
					    <a href="<?=$this->siteUrl()?>/home/download/<?=e($row['productid'])?>"><i class="fas fa-download"></i></a>
					<?php elseif(in_array($row['productid'], $data["cart_ids"])): ?>
					    <a href="<?=$this->siteUrl()?>/home/removecart/<?=e($row['productid'])?>"><i class="fas fa-cart-arrow-down"></i></a>
				   <?php else: ?>
                        <a href="<?=$this->siteUrl()?>/home/cart/<?=e($row['productid'])?>"><i class="fas fa-shopping-cart"></i></a>
				   <?php endif;  ?>
			    <?php else: ?>
					<?php if(in_array($row['productid'], $data["cart_ids"])): ?>
					    <a href="<?=$this->siteUrl()?>/home/removecart/<?=e($row['productid'])?>"><i class="fas fa-cart-arrow-down"></i></a>
				   <?php else: ?>
                        <a href="<?=$this->siteUrl()?>/home/cart/<?=e($row['productid'])?>"><i class="fas fa-shopping-cart"></i></a>
				   <?php endif;  ?>
			    <?php endif; ?>
			  <?php endif; ?>
                  <h5 class="product-views"><i class="fas fa-eye"></i> <?=e($row['views'])?></h5> 
                 </div>                                
                </h3>
               </div><!-- /.product-footer -->						
						
			  </div><!-- /.inner-box -->
			 </div><!--/. product-block-->	
			</div><!-- /.col-lg-4 -->
			
		   <?php
				/*
				Check whether the counter has hit 3 posts.  
				If true, close the "row" div.  Also reset the $startRow variable so that before the next post, a new "row" div is being created. Finally, reset the counter to track the next set of three posts.
				If false, do nothing. 
				*/ 
				if ($postCounter == 3) {
					echo '</div><br/><!-- END OF INTERNAL ROW -->';
					$startRow = true;
					$postCounter = 0;
				}

			} 
            
            if ($data['is_divisible_by_3'] === false) {
                echo '</div><!-- END ROW -->';
            }
			
			?>
			
				
		
			<?=$data['pagination']?>	
			
		 </div><!-- /.container -->
	    </section><!--End Featured Section-->	
		
	    <!-- ==============================================
	    Counter Section
	    =============================================== -->	
	    <section class="counter-section">
		 <div class="title-box" style="background: url('<?=$this->siteUrl().'/'.PUBLIC_PATH.'/'.UPLOADS_PATH?>/admin/<?=e($this->theme_details('bg_image_two'))?>') no-repeat center center;">
		  <div class="container">
		   <h2> <?=$this->lang('our_stats')?></h2>
		  </div>
		 </div><!--Title Box-->
		 <!--Lower Section-->
		 <div class="lower-section">
		  <div class="container">
				
				<!--Fact Counter-->
				<div class="fact-counter">
					<div class="row clearfix">

						<!--Column-->
						<div class="column counter-column col-lg-3 col-md-6 col-sm-12">
							<div class="inner">
								<div class="content">
									<div class="count-outer count-box">
										<span class="count-text" data-speed="4000" data-stop="<?=e($data['total_products'])?>">0</span>
									</div>
									<h4 class="counter-title"><?=$this->lang('products')?></h4>
								</div>
							</div>
						</div>

						<!--Column-->
						<div class="column counter-column col-lg-3 col-md-6 col-sm-12">
							<div class="inner">
								<div class="content">
									<div class="count-outer count-box">
										<span class="count-text" data-speed="4000" data-stop="<?=e($data['total_freebies'])?>">0</span>
									</div>
									<h4 class="counter-title"><?=$this->lang('freebies')?></h4>
								</div>
							</div>
						</div>

						<!--Column-->
						<div class="column counter-column col-lg-3 col-md-6 col-sm-12">
							<div class="inner">
								<div class="content">
									<div class="count-outer count-box">
										<span class="count-text" data-speed="2500" data-stop="<?=e($data['total_users'])?>">0</span>
									</div>
									<h4 class="counter-title"><?=$this->lang('users')?></h4>
								</div>
							</div>
						</div>

						<!--Column-->
						<div class="col-lg-3 col-md-6 col-sm-12 column counter-column">
							<div class="inner">
								<div class="content">
									<div class="count-outer count-box">
										<span class="count-text" data-speed="4000" data-stop="<?=e($data['total_downloads'])?>">0</span>
									</div>
									<h4 class="counter-title"><?=$this->lang('downloads')?></h4>
								</div>
							</div>
						</div>

					</div>
				
				</div>
				
			</div>
		</div>
	</section>
	<!--End Counter Section-->			