<?php
defined('FIR') OR exit();
/**
 * The main template file
 * This file puts together the three main section of the software, header, content and footer
 */
?>
<!DOCTYPE html>
<html lang="en">
  <head>

	    <!-- ==============================================
		Title and Meta Tags
		=============================================== -->
		<meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
	<?php if($data['url'] == 'product'): ?>
        <title><?=$data['product_slug']['name']?></title>
	<?php else: ?>
        <title><?=e($this->siteSettings('sitename'))?> - <?=e($this->siteSettings('title'))?></title>
	<?php endif; ?>
		<meta name="description" content="<?=e($this->siteSettings('description'))?>">
		<meta name="keywords" content="<?=e($this->siteSettings('keywords'))?>">
		
		<meta property="og:title" content="<?=e($this->siteSettings('title'))?> : <?=e($this->siteSettings('sitename'))?>"/>
		<meta property="og:type" content="website"/>
		<meta property="og:url" content="<?=$this->siteUrl()?>"/>
		<meta property="og:image" content="assets/img/logo.png"/>
		<meta property="og:site_name" content="<?=e($this->siteSettings('sitename'))?>"/>
		<meta property="og:description" content="<?=e($this->siteSettings('description'))?>"/>		
		
		<!-- ==============================================
		Favicons
		=============================================== --> 
        <link href="<?=$this->siteUrl().'/'.PUBLIC_PATH.'/'.UPLOADS_PATH?>/admin/<?=e($this->siteSettings('favicon'))?>" rel="icon">
		
		<!-- ==============================================
		Fonts
		=============================================== --> 
        <link href="https://fonts.googleapis.com/css?family=Pacifico" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Rokkitt" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Abhaya+Libre" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Poppins" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Abril+Fatface&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Mada&display=swap" rel="stylesheet">
		
	    <!-- ==============================================
		CSS
		=============================================== -->
		
		<?php foreach(['base', 'bootstrap', 'fontawesome.all.min', 'animate', 'webfont', 'owl', 'style'] as $css): ?>
			<link href="<?=$this->siteUrl()?>/<?=$this->themePath()?>/<?=$this->theme()?>/assets/css/<?=$css?>.css" rel="stylesheet" type="text/css">
		<?php endforeach ?>
		
		<!-- Global site tag (gtag.js) - Google Analytics -->
		<script async src="https://www.googletagmanager.com/gtag/js?id=<?=e($this->siteSettings('analytics'))?>"></script>
		<script>
		  window.dataLayer = window.dataLayer || [];
		  function gtag(){dataLayer.push(arguments);}
		  gtag('js', new Date());

		  gtag('config', '<?=e($this->siteSettings('analytics'))?>');
		</script>		
		 
		 
		
  </head>

  <body>
	<?php if($data['url'] === 'login' || $data['url'] === 'register' || $data['url'] === 'forgot' || $data['url'] === 'password'): ?>
		<?=$data['content_view']?>
	<?php else: ?>
		<?=$data['header_view']?>
				<?php if($data['url'] == 'user'): ?>
				  <?=$data['sidenav_view']?>
				<?php endif; ?>
		<?=$data['content_view']?>
		<?=$data['footer_view']?>
	<?php endif; ?>

		<?php foreach(['jquery', 'popper.min', 'bootstrap.min', 'appear', 'owl', 'wow', 'boxsale'] as $js): ?>
			<script type="text/javascript" src="<?=$this->siteUrl()?>/<?=$this->themePath()?>/<?=$this->theme()?>/assets/js/<?=$js?>.js"></script>
		<?php endforeach ?>
		 <script src="<?=$this->siteUrl()?>/<?=$this->themePath()?>/<?=$this->theme()?>/assets/plugins/sweetalert/sweetalert.min.js"></script>
	     <?=$this->message()?>
</body>
</html>